Imports System

Module Program
  Const ACCURACY = 0.0000000000001

  Sub Main(args As String())
    Dim y, guess As Double

    Dim rnd As New Random()

    Console.Write("Enter a non-negative number: ")
    y = Console.ReadLine()
    Do While y < 0
      Console.Write("Invalid value. Enter a non-negative number: ")
      y = Console.ReadLine()
    Loop

    guess = rnd.Next(1, Fix(y))  'Make a random first guess between 1 and user-provided value

    Do While Math.Abs(guess ^ 2 - y) > ACCURACY     'Is it "close enough"?
      guess = (guess + y / guess) / 2    'No, create a new "guess"!
    Loop
    Console.WriteLine(guess)
  End Sub

End Module
