Imports System

Module Program
  Const CARS = 10
  Const LAPS = 20

  Sub Main(args As String())
    Dim i, j, m, n As Integer
    Dim element As Double

    'Read names and elapsed times all together
    Dim names(CARS - 1) As String
    Dim elapsedTimes(CARS - 1, LAPS - 1) As Double
    For i = 0 To CARS - 1
      Console.Write("Enter name for driver No. " & (i + 1) & ": ")
      names(i) = Console.ReadLine()
      For j = 0 To LAPS - 1
        Console.Write("Enter elapsed time for lap No. " & (j + 1) & ": ")
        elapsedTimes(i, j) = Console.ReadLine()
      Next
    Next

    'Sort array elapsedTimes
    For i = 0 To CARS - 1
      For m = 1 To LAPS - 1
        element = elapsedTimes(i, m)
        n = m
        Do While n > 0
          If element < elapsedTimes(i, n - 1) Then Exit Do
          elapsedTimes(i, n) = elapsedTimes(i, n - 1)
          n -= 1
        Loop
        elapsedTimes(i, n) = element
      Next
    Next

    'Display 3 worst elapsed times
    For i = 0 To CARS - 1
      Console.WriteLine("Worst elapsed times of " & names(i))
      Console.WriteLine("----------------------------------------------")
      For j = 0 To 2
        Console.WriteLine(elapsedTimes(i, j))
      Next
    Next
  End Sub

End Module
