Imports System

Module Program
  Const EVENTS = 20
  Const COUNTRIES = 10

  Sub Main(args As String())
    Dim j, i, needle, top, bottom, middle As Integer
    Dim found As Boolean

    Dim countryNames(COUNTRIES - 1) As String
    Dim eventDescriptions(EVENTS - 1, COUNTRIES - 1) As String
    Dim eventYears(EVENTS - 1, COUNTRIES - 1) As Integer
    For j = 0 To COUNTRIES - 1
      Console.Write("Enter Country No. " & (j + 1) & ": ")
      countryNames(j) = Console.ReadLine()
      For i = 0 To EVENTS - 1
        Console.Write("Enter description for event No. " & (i + 1) & ": ")
        eventDescriptions(i, j) = Console.ReadLine()
        Console.Write("Enter year for event No. " & (i + 1) & ": ")
        eventYears(i, j) = Console.ReadLine()
      Next
    Next

    Console.Write("Enter a year to search: ")
    needle = Console.ReadLine()

    For j = 0 To COUNTRIES - 1
      top = 0
      bottom = EVENTS - 1
      found = False
      Do While top <= bottom And Not found
        middle = (top + bottom) \ 2

        If needle < eventYears(middle, j) Then
          bottom = middle - 1
        ElseIf needle > eventYears(middle, j) Then
          top = middle + 1
        Else
          found = True
        End If
      Loop

      If Not found Then
        Console.WriteLine("No event found for country " & countryNames(j))
      Else
        Console.WriteLine("Country: " & countryNames(j))
        Console.WriteLine("Year: " & eventYears(middle, j))
        Console.WriteLine("Event: " & eventDescriptions(middle, j))
      End If
    Next
  End Sub

End Module
