Imports System

Module Program
  Const EVENTS = 20
  Const COUNTRIES = 10

  Sub Main(args As String())
    Dim j, i, left, right, middle As Integer
    Dim found As Boolean
    Dim needle As String

    Dim countryNames(COUNTRIES - 1) As String
    Dim eventDescriptions(EVENTS - 1, COUNTRIES - 1) As String
    For j = 0 To COUNTRIES - 1
      Console.Write("Enter Country No. " & (j + 1) & ": ")
      countryNames(j) = Console.ReadLine()
      For i = 0 To EVENTS - 1
        Console.Write("Enter description for event No. " & (i + 1) & ": ")
        eventDescriptions(i, j) = Console.ReadLine()
      Next
    Next

    Console.Write("Enter a country to search: ")
    needle = Console.ReadLine().ToUpper()

    'Country names are entered in alphabetical order.
    'Use the binary search algorithm to search for needle.
    left = 0
    right = EVENTS - 1
    found = False
    Do While left <= right And Not found
      middle = (left + right) \ 2

      If needle.CompareTo(countryNames(middle).ToUpper()) < 0 Then
        right = middle - 1
      ElseIf needle.CompareTo(countryNames(middle).ToUpper()) > 0 Then
        left = middle + 1
      Else
        found = True
      End If
    Loop

    If Not found Then
      Console.WriteLine("No country found!")
    Else
      For i = 0 To EVENTS - 1
        Console.WriteLine(eventDescriptions(i, middle))
      Next
    End If
  End Sub

End Module
