Imports System

Module Program
  Const ATHLETES = 20
  Const SHOTS = 6

  Sub Main(args As String())
    Dim i, j, m, n, temp As Integer
    Dim tempStr As String

    'Read array names and points
    Dim names(ATHLETES - 1) As String
    Dim points(ATHLETES - 1, SHOTS - 1) As Integer
    For i = 0 To ATHLETES - 1
      Console.Write("Enter name for athlete No. " & (i + 1) & ": ")
      names(i) = Console.ReadLine()
      For j = 0 To SHOTS - 1
        Console.Write("Enter points for shot No. " & (j + 1) & ": ")
        points(i, j) = Console.ReadLine()
      Next
    Next

    'Create array total
    Dim total(ATHLETES - 1) As Integer
    For i = 0 To ATHLETES - 1
      total(i) = 0
      For j = 0 To SHOTS - 1
        total(i) += points(i, j)
      Next
    Next

    'Sort arrays names and total. Perform only 3 passes
    For m = 1 To 3
      For n = ATHLETES - 1 To m Step -1
        If total(n) > total(n - 1) Then
          temp = total(n)
          total(n) = total(n - 1)
          total(n - 1) = temp

          tempStr = names(n)
          names(n) = names(n - 1)
          names(n - 1) = tempStr
        End If
      Next
    Next

    'Display gold, silver and bronze metal
    For i = 0 To 2
      Console.WriteLine(names(i) & vbTab & total(i))
    Next
  End Sub

End Module
