Imports System

Module Program
  Sub Main(args As String())
    Dim letter As String

    'Create a dictionary to store the frequencies of each vowel with initial
    'frequencies all set to zero.
    Dim vowelsFrequency As New Dictionary(Of String, Integer) From {
      {"A", 0},
      {"E", 0},
      {"I", 0},
      {"O", 0},
      {"U", 0}
    }

    Console.Write("Enter an English sentence: ")
    Dim sentence As String = Console.ReadLine()

    'Iterate through the characters of the user-provided sentence and if it is a vowel,
    'update (increase) the corresponding frequency count in the vowelsFrequency dictionary.
    For Each character In sentence.ToUpper()
      letter = character.ToString()
      If vowelsFrequency.ContainsKey(letter) Then
        vowelsFrequency(letter) += 1
      End If
    Next

    'Display the frequencies of each vowel
    For Each element In vowelsFrequency
      Console.WriteLine(element.Key & ": " & element.Value)
    Next
  End Sub

End Module
