Imports System

Module Program
  Function prependTitle(firstName As String, lastName As String, Optional title As String = "M", Optional reverse As Boolean = False) As String
    Dim returnValue As String

    If Not reverse Then
      returnValue = title & " " & firstName & " " & lastName
    Else
      returnValue = title & " " & lastName & " " & firstName
    End If

    Return returnValue
  End Function

  Sub Main(args As String())
    Console.WriteLine(prependTitle("John", "King"))          'It displays: M John King
    Console.WriteLine(prependTitle("Maria", "Miller", "Ms")) 'It displays: Ms Maria Miller

    'Display: Ms Miller Maria
    Console.WriteLine(prependTitle("Maria", "Miller", "Ms", True))

    'Call the function using a named argument
    Console.WriteLine(prependTitle("John", "King", reverse:=True)) 'It displays: M King John
  End Sub

End Module
