Imports System

Module Program
  Const ACCURACY = 0.00001

  Sub Main(args As String())
    Dim pi, piPrevious As Double
    Dim sign, denom As Integer

    pi = 0

    sign = 1    'This is the sign of the first fraction
    denom = 1   'This is the denominator of the first fraction
    Do
      piPrevious = pi   'Keep previous pi
      pi += sign * 4 / denom   'Calculate new pi by adding a fraction (a term)
      sign = -sign   'Prepare sign for the next fraction
      denom += 2     'Prepare denominator for the next fraction
    Loop While Math.Abs(pi - piPrevious) > ACCURACY   'Is it "close enough"?

    Console.WriteLine("Pi ~= " & pi)
  End Sub

End Module
