Imports System

Module Program
  Const TEAMS = 32
  Const PLAYERS = 24

  Sub Main(args As String())
    Dim i, j, m, n, temp As Integer
    Dim tempStr As String

    'Read team names, player names and goals all together
    Dim t(TEAMS - 1) As String
    Dim p(TEAMS - 1, PLAYERS - 1) As String
    Dim g(TEAMS - 1, PLAYERS - 1) As Integer
    For i = 0 To TEAMS - 1
      Console.Write("Enter name for team No. " & (i + 1) & ": ")
      t(i) = Console.ReadLine()
      For j = 0 To PLAYERS - 1
        Console.Write("Enter name of player No. " & (j + 1) & ": ")
        p(i, j) = Console.ReadLine()
        Console.Write("Enter goals of player No. " & (j + 1) & ": ")
        g(i, j) = Console.ReadLine()
      Next
    Next

    'Sort array g
    For i = 0 To TEAMS - 1
      For m = 1 To 5   'Perform 5 passes
        For n = PLAYERS - 1 To m Step -1
          If g(i, n) > g(i, n - 1) Then
            temp = g(i, n)
            g(i, n) = g(i, n - 1)
            g(i, n - 1) = temp

            tempStr = p(i, n)
            p(i, n) = p(i, n - 1)
            p(i, n - 1) = tempStr
          End If
        Next
      Next
    Next

    'Display 5 best scorers of each team
    For i = 0 To TEAMS - 1
      Console.WriteLine("Best scorers of " & t(i))
      Console.WriteLine("-----------------------------------------")
      For j = 0 To 4
        Console.WriteLine(p(i, j) & " scored " & g(i, j) & " goals")
      Next
    Next
  End Sub

End Module
