Imports System

Module Program
  Const PEOPLE = 20

  Sub mySwap(a() As String, index1 As Integer, index2 As Integer)
    Dim temp As String

    temp = a(index1)
    a(index1) = a(index2)
    a(index2) = temp
  End Sub

  Sub mySort(a() As String, ascending As Boolean)
    Dim m, n As Integer

    For m = 1 To PEOPLE - 1
      For n = PEOPLE - 1 To m Step -1
        If ascending Then
          If a(n).CompareTo(a(n - 1)) < 0 Then
            mySwap(a, n, n - 1)
          End If
        Else
          If a(n).CompareTo(a(n - 1)) > 0 Then
            mySwap(a, n, n - 1)
          End If
        End If
      Next
    Next
  End Sub

  Sub displayArray(a() As String)
    Dim i As Integer

    For i = 0 To PEOPLE - 1
      Console.WriteLine(a(i))
    Next
  End Sub

  Sub Main(args As String())
    Dim i As Integer

    Dim names(PEOPLE - 1) As String
    For i = 0 To PEOPLE - 1
      Console.Write("Enter a name: ")
      names(i) = Console.ReadLine()
    Next

    mySort(names, True)        'Sort names in ascending order
    displayArray(names)        'and display them

    mySort(names, False)       'Sort names in descending order
    displayArray(names)        'and display them.
  End Sub

End Module
