Imports System

Module Program
  Function getConsumption() As Integer
    Dim consumption As Integer

    Console.Write("Enter kWh consumed: ")
    consumption = Console.ReadLine()
    Do While consumption < 0
      Console.WriteLine("Error: Invalid number!")
      Console.Write("Enter a non-negative number: ")
      consumption = Console.ReadLine()
    Loop
    Return consumption
  End Function

  Function findAmount(kwh As Integer) As Double
    Dim amount As Double

    If kwh <= 400 Then
      amount = kwh * 0.08
    ElseIf kwh <= 1500 Then
      amount = 400 * 0.08 + (kwh - 400) * 0.22
    ElseIf kwh <= 2000 Then
      amount = 400 * 0.08 + 1100 * 0.22 + (kwh - 1500) * 0.35
    Else
      amount = 400 * 0.08 + 1100 * 0.22 + 500 * 0.35 + (kwh - 2000) * 0.5
    End If

    amount += 0.26 * amount
    Return amount
  End Function

  Sub Main(args As String())
    Dim kwh As Integer
    Dim answer As String

    Do
      kwh = getConsumption()
      Console.WriteLine("You need to pay: " & findAmount(kwh))

      Console.Write("Would you like to repeat? ")
      answer = Console.ReadLine()
    Loop While answer.ToUpper() = "YES"
  End Sub

End Module
