Imports System

Module Program
  Class FahrenheitToCelsius
    Public temperature As Double

    'Define the constructor
    Public Sub New(value As Double)
      Me.setTemperature(value)   'Use a method to set the value of the field temperature
    End Sub

    'This method gets the temperature
    Public Function getTemperature() As Double
      Return 5.0 / 9.0 * (Me.temperature - 32.0)
    End Function

    'This method sets the temperature
    Public Sub setTemperature(value As Double)
      If value >= -459.67 Then
        Me.temperature = value
      Else
        Throw New Exception("There is no temperature below -459.67")
      End If
    End Sub
  End Class

  Sub Main(args As String())
    Dim x As New FahrenheitToCelsius(-500)  'Create object x
    Console.WriteLine(x.getTemperature())
  End Sub

End Module
