Imports System
Imports System.IO

Module Program
  Function readContent(filename As String) As String
    Dim fin As StreamReader = File.OpenText(filename)
    Dim contents As String = fin.ReadToEnd()
    fin.Close()
    Return contents
  End Function

  Sub writeContent(filename As String, contents As String)
    Dim fout As StreamWriter = File.CreateText(filename)
    fout.Write(contents)
    fout.Close()
  End Sub

  Sub Main(args As String())
    Console.Write("Enter source filename: ")
    Dim source As String = Console.ReadLine()

    Console.Write("Enter destination filename: ")
    Dim destination As String = Console.ReadLine()

    Dim c As String = readContent(source)  'Equivalent to:
    writeContent(destination, c)           'writeContent(destination, readContent(source))
  End Sub

End Module
